Subject: Donate to a charity!! local car Donations- can receive tax deductions.

From: "Vehicle Donation Write-Offs" <[email-masked]>
Date: Sat, 8 Aug 2015 15:04:47 -0700

Donate to a charity!! local car Donations- can receive tax deductions.